/**
 * Returns a function that can be used to run the given callback via `window.requestAnimationFrame()`.
 *
 * Pending callbacks will be cleared in case the component unmounts.
 *
 * @param callback The callback that is invoked in the next animation frame
 */
declare const useAnimationFrame: <T extends (...args: never[]) => unknown>(callback: T) => ((...args: Parameters<T>) => number);
export default useAnimationFrame;
