import { MutableRefObject } from 'react';
export type Controls = {
    isPaused: boolean;
    isStopped: boolean;
    isPausedRef: MutableRefObject<boolean>;
    /** Pauses the interval */
    pause: () => void;
    /** Resumes the interval */
    resume: () => void;
    /** Stops the interval */
    stop: () => void;
    /** Starts the interval */
    start: () => void;
};
/**
 * This private API hook adds controls like play, pause, start, stop to a hook.
 * @param isPausedInitially
 * @param isStoppedInitially
 */
declare const useControls: (isPausedInitially?: boolean, isStoppedInitially?: boolean) => Controls;
export default useControls;
