import { RequestIdleCallbackOptions } from './types';
/**
 * Returns a function that can be used to invoke the given callback via `window.requestIdleCallback()`.
 *
 * Pending callbacks will be cleared in case the component unmounts.
 *
 * @param callback The callback that is invoked as soons as the browser invokes the idle callback
 * @param options Options for requestIdleCallback
 */
declare const useIdleCallback: <T extends (...args: never[]) => unknown>(callback: T, options?: RequestIdleCallbackOptions) => ((...args: Parameters<T>) => void);
export default useIdleCallback;
