import { DependencyList } from 'react';
import { IdleCallbackEffectCallback } from './types';
/**
 * Behaves like a regular use effect except that its callback receives a function-argument that allows
 * to run callbacks via `window.requestIdleCallback` inside the effect. Pending idle callbacks will be cleared on unmount.
 * @param effect
 * @param deps
 */
declare const useIdleCallbackEffect: (effect: IdleCallbackEffectCallback, deps: DependencyList) => void;
export default useIdleCallbackEffect;
